## squashfs-tools 4.0

=== squashfs-tools/Makefile ===
INSTALL_DIR = /usr/local/bin

INCLUDEDIR = .

CFLAGS := -I$(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -O2

all: mksquashfs unsquashfs

mksquashfs: mksquashfs.o read_fs.o sort.o swap.o pseudo.o
	$(CC) mksquashfs.o read_fs.o sort.o swap.o pseudo.o -lz -lpthread -lm -o $@

mksquashfs.o: mksquashfs.c squashfs_fs.h mksquashfs.h global.h sort.h squashfs_swap.h Makefile

read_fs.o: read_fs.c squashfs_fs.h read_fs.h global.h squashfs_swap.h Makefile

sort.o: sort.c squashfs_fs.h global.h sort.h Makefile

swap.o: swap.c Makefile

pseudo.o: pseudo.c pseudo.h Makefile

unsquashfs: unsquashfs.o unsquash-1.o unsquash-2.o unsquash-3.o unsquash-4.o swap.o
	$(CC) unsquashfs.o unsquash-1.o unsquash-2.o unsquash-3.o unsquash-4.o swap.o -lz -lpthread -lm -o $@

unsquashfs.o: unsquashfs.h unsquashfs.c squashfs_fs.h squashfs_swap.h squashfs_compat.h global.h Makefile

unsquash-1.o: unsquashfs.h unsquash-1.c squashfs_fs.h squashfs_compat.h global.h Makefile

unsquash-2.o: unsquashfs.h unsquash-2.c unsquashfs.h squashfs_fs.h squashfs_compat.h global.h Makefile

unsquash-3.o: unsquashfs.h unsquash-3.c squashfs_fs.h squashfs_compat.h global.h Makefile

unsquash-4.o: unsquashfs.h unsquash-4.c squashfs_fs.h squashfs_swap.h global.h Makefile

clean:
	-rm -f *.o mksquashfs unsquashfs

install: mksquashfs unsquashfs
	mkdir -p $(INSTALL_DIR)
	cp mksquashfs $(INSTALL_DIR)
	cp unsquashfs $(INSTALL_DIR)

## squashfs-tools 4.2

=== squashfs-tools/Makefile ===
###############################################
#          Compression build options          #
###############################################
#
#
############# Building gzip support ###########
#
# Gzip support is by default enabled, and the compression type default
# (COMP_DEFAULT) is gzip.
#
# If you don't want/need gzip support then comment out the GZIP SUPPORT line
# below, and change COMP_DEFAULT to one of the compression types you have
# selected.
#
# Obviously, you must select at least one of the available gzip, lzma, lzo
# compression types.
#
GZIP_SUPPORT = 1

########### Building XZ support #############
#
# LZMA2 compression.
#
# XZ Utils liblzma (http://tukaani.org/xz/) is supported
#
# To build using XZ Utils liblzma - install the library and uncomment
# the XZ_SUPPORT line below.
#
#XZ_SUPPORT = 1


############ Building LZO support ##############
#
# The LZO library (http://www.oberhumer.com/opensource/lzo/) is supported.
#
# To build using the LZO library - install the library and uncomment the
# LZO_SUPPORT line below. If needed, uncomment and set LZO_DIR to the
# installation prefix.
#
#LZO_SUPPORT = 1
#LZO_DIR = /usr/local

########### Building LZMA support #############
#
# LZMA1 compression.
#
# LZMA1 compression is deprecated, and the newer and better XZ (LZMA2)
# compression should be used in preference.
#
# Both XZ Utils liblzma (http://tukaani.org/xz/) and LZMA SDK
# (http://www.7-zip.org/sdk.html) are supported
#
# To build using XZ Utils liblzma - install the library and uncomment
# the LZMA_XZ_SUPPORT line below.
#
# To build using the LZMA SDK (4.65 used in development, other versions may
# work) - download and unpack it, uncomment and set LZMA_DIR to unpacked source,
# and uncomment the LZMA_SUPPORT line below.
#
#LZMA_XZ_SUPPORT = 1
#LZMA_SUPPORT = 1
#LZMA_DIR = ../../../../LZMA/lzma465

######## Specifying default compression ########
#
# The next line specifies which compression algorithm is used by default
# in Mksquashfs.  Obviously the compression algorithm must have been
# selected to be built
#
COMP_DEFAULT = gzip

###############################################
#  Extended attribute (XATTRs) build options  #
###############################################
#
# Building XATTR support for Mksquashfs and Unsquashfs
#
# If your C library or build/target environment doesn't support XATTRs then
# comment out the next line to build Mksquashfs and Unsquashfs without XATTR
# support
XATTR_SUPPORT = 1

# Select whether you wish xattrs to be stored by Mksquashfs and extracted
# by Unsquashfs by default.  If selected users can disable xattr support by
# using the -no-xattrs option
#
# If unselected, Mksquashfs/Unsquashfs won't store and extract xattrs by
# default.  Users can enable xattrs by using the -xattrs option.
XATTR_DEFAULT = 1


###############################################
#        End of BUILD options section         #
###############################################

INCLUDEDIR = -I.
INSTALL_DIR = /usr/local/bin

MKSQUASHFS_OBJS = mksquashfs.o read_fs.o sort.o swap.o pseudo.o compressor.o

UNSQUASHFS_OBJS = unsquashfs.o unsquash-1.o unsquash-2.o unsquash-3.o \
	unsquash-4.o swap.o compressor.o

CFLAGS ?= -O2
CFLAGS += $(EXTRA_CFLAGS) $(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 \
	-D_LARGEFILE_SOURCE -D_GNU_SOURCE -DCOMP_DEFAULT=\"$(COMP_DEFAULT)\" \
	-Wall

LIBS = -lpthread -lm
ifeq ($(GZIP_SUPPORT),1)
CFLAGS += -DGZIP_SUPPORT
MKSQUASHFS_OBJS += gzip_wrapper.o
UNSQUASHFS_OBJS += gzip_wrapper.o
LIBS += -lz
COMPRESSORS += gzip
endif

ifeq ($(LZMA_SUPPORT),1)
LZMA_OBJS = $(LZMA_DIR)/C/Alloc.o $(LZMA_DIR)/C/LzFind.o \
	$(LZMA_DIR)/C/LzmaDec.o $(LZMA_DIR)/C/LzmaEnc.o $(LZMA_DIR)/C/LzmaLib.o
INCLUDEDIR += -I$(LZMA_DIR)/C
CFLAGS += -DLZMA_SUPPORT
MKSQUASHFS_OBJS += lzma_wrapper.o $(LZMA_OBJS)
UNSQUASHFS_OBJS += lzma_wrapper.o $(LZMA_OBJS)
COMPRESSORS += lzma
endif

ifeq ($(LZMA_XZ_SUPPORT),1)
CFLAGS += -DLZMA_SUPPORT
MKSQUASHFS_OBJS += lzma_xz_wrapper.o
UNSQUASHFS_OBJS += lzma_xz_wrapper.o
LIBS += -llzma
COMPRESSORS += lzma
endif

ifeq ($(XZ_SUPPORT),1)
CFLAGS += -DXZ_SUPPORT
MKSQUASHFS_OBJS += xz_wrapper.o
UNSQUASHFS_OBJS += xz_wrapper.o
LIBS += -llzma
COMPRESSORS += xz
endif

ifeq ($(LZO_SUPPORT),1)
CFLAGS += -DLZO_SUPPORT
ifdef LZO_DIR
INCLUDEDIR += -I$(LZO_DIR)/include
LZO_LIBDIR = -L$(LZO_DIR)/lib
endif
MKSQUASHFS_OBJS += lzo_wrapper.o
UNSQUASHFS_OBJS += lzo_wrapper.o
LIBS += $(LZO_LIBDIR) -llzo2
COMPRESSORS += lzo
endif

ifeq ($(XATTR_SUPPORT),1)
ifeq ($(XATTR_DEFAULT),1)
CFLAGS += -DXATTR_SUPPORT -DXATTR_DEFAULT
else
CFLAGS += -DXATTR_SUPPORT
endif
MKSQUASHFS_OBJS += xattr.o read_xattrs.o
UNSQUASHFS_OBJS += read_xattrs.o unsquashfs_xattr.o
endif

#
# If LZMA_SUPPORT is specified then LZMA_DIR must be specified too
#
ifeq ($(LZMA_SUPPORT),1)
ifndef LZMA_DIR
$(error "LZMA_SUPPORT requires LZMA_DIR to be also defined")
endif
endif

#
# Both LZMA_XZ_SUPPORT and LZMA_SUPPORT cannot be specified
#
ifeq ($(LZMA_XZ_SUPPORT),1)
ifeq ($(LZMA_SUPPORT),1)
$(error "Both LZMA_XZ_SUPPORT and LZMA_SUPPORT cannot be specified")
endif
endif

#
# At least one compressor must have been selected
#
ifndef COMPRESSORS
$(error "No compressor selected! Select one or more of GZIP, LZMA, XZ or LZO!")
endif

#
# COMP_DEFAULT must be a selected compressor
#
ifeq (, $(findstring $(COMP_DEFAULT), $(COMPRESSORS)))
$(error "COMP_DEFAULT isn't selected to be built!")
endif

.PHONY: all
all: mksquashfs unsquashfs

mksquashfs: $(MKSQUASHFS_OBJS)
	$(CC) $(LDFLAGS) $(EXTRA_LDFLAGS) $(MKSQUASHFS_OBJS) $(LIBS) -o $@

mksquashfs.o: mksquashfs.c squashfs_fs.h mksquashfs.h sort.h squashfs_swap.h \
	xattr.h pseudo.h compressor.h

read_fs.o: read_fs.c squashfs_fs.h read_fs.h squashfs_swap.h compressor.h \
	xattr.h

sort.o: sort.c squashfs_fs.h sort.h mksquashfs.h

swap.o: swap.c

pseudo.o: pseudo.c pseudo.h

compressor.o: compressor.c compressor.h squashfs_fs.h

xattr.o: xattr.c xattr.h squashfs_fs.h squashfs_swap.h mksquashfs.h

read_xattrs.o: read_xattrs.c xattr.h squashfs_fs.h squashfs_swap.h read_fs.h

gzip_wrapper.o: gzip_wrapper.c compressor.h squashfs_fs.h

lzma_wrapper.o: lzma_wrapper.c compressor.h squashfs_fs.h

lzma_xz_wrapper.o: lzma_xz_wrapper.c compressor.h squashfs_fs.h

lzo_wrapper.o: lzo_wrapper.c compressor.h squashfs_fs.h

xz_wrapper.o: xz_wrapper.c compressor.h squashfs_fs.h

unsquashfs: $(UNSQUASHFS_OBJS)
	$(CC) $(LDFLAGS) $(EXTRA_LDFLAGS) $(UNSQUASHFS_OBJS) $(LIBS) -o $@

unsquashfs.o: unsquashfs.h unsquashfs.c squashfs_fs.h squashfs_swap.h \
	squashfs_compat.h xattr.h read_fs.h compressor.h

unsquash-1.o: unsquashfs.h unsquash-1.c squashfs_fs.h squashfs_compat.h

unsquash-2.o: unsquashfs.h unsquash-2.c squashfs_fs.h squashfs_compat.h

unsquash-3.o: unsquashfs.h unsquash-3.c squashfs_fs.h squashfs_compat.h

unsquash-4.o: unsquashfs.h unsquash-4.c squashfs_fs.h squashfs_swap.h \
	read_fs.h

unsquashfs_xattr.o: unsquashfs_xattr.c unsquashfs.h squashfs_fs.h xattr.h


.PHONY: clean
clean:
	-rm -f *.o mksquashfs unsquashfs

.PHONY: install
install: mksquashfs unsquashfs
	mkdir -p $(INSTALL_DIR)
	cp mksquashfs $(INSTALL_DIR)
	cp unsquashfs $(INSTALL_DIR)

=== debian/changelog ===
squashfs-tools (1:4.2-5) unstable; urgency=low

  * Marking binary architecture-dependend packages as linux and kfreebsd
    only.
  * Using compression level 9 also for binary packages.
  * Switching to xz compression.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file to format version 1.0.
  * Adding patch from Matthieu Castet <matthieu.castet@parrot.com> to
    make using the Pseudo operations to change the mode/uid/gid of
    existing files with subdirectories work (Closes: #662616).
  * Updating mksquashfs manpage (Closes: #661815).
  * Updating unsquashfs manpage.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 13:48:39 +0200

squashfs-tools (1:4.2-4) unstable; urgency=low

  * Compacting copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Jul 2011 17:14:11 +0200

squashfs-tools (1:4.2-3) unstable; urgency=low

  * Updating standards version to 3.9.2.
  * Correcting two typos in the manpages, thanks to Yury V. Zaytsev
    <yury@shurup.com> (Closes: #627401).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 24 May 2011 19:00:31 +0200

squashfs-tools (1:4.2-2) unstable; urgency=low

  * Updating kfreebsd.patch, thanks to Jérémy Bobbio <lunar@debian.org>
    (Closes: #623967).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 28 Apr 2011 15:32:19 +0200

squashfs-tools (1:4.2-1) unstable; urgency=low

  * Merging upstream version 4.2.
  * Updating debhelper docs file for new upstream.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 17 Mar 2011 15:04:48 +0100

squashfs-tools (1:4.1-3) unstable; urgency=low

  * Making reference to licenses in copyright distribution neutral.
  * Improving previous changelog entries.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 Jan 2011 21:40:48 +0100

squashfs-tools (1:4.1-2) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makeing packaging distribution neutral.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Rediffing kfreebsd.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 16 Jan 2011 19:28:31 +0100

squashfs-tools (1:4.1-1) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 4.1.
  * Updating standards version to 3.9.1.
  * Removing return.patch, merged upstream.
  * Removing div-by-zero.patch, merged upstream.
  * Rediffing cflags.patch.
  * Adding build-depends to libattr1-dev.
  * Updating debhelper docs file for new upstream.
  * Including pseudo-file.example.
  * Building with xz support (Closes: #594595).
  * Building with lzo support.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 25 Sep 2010 18:29:29 +0200

squashfs-tools (1:4.0-8) unstable; urgency=low

  * Replacing manpages with simple ones that are actually maintainable.
  * Sorting dh call in rules to more common order.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 14 Mar 2010 15:56:28 +0100

squashfs-tools (1:4.0-7) unstable; urgency=low

  * Adding explicit source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Applying patch from Emmet Hikory <persia@ubuntu.com> to build with -
    marm on arm to avoid using Thumb2 instructions that older kernels
    don't support.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 21 Feb 2010 18:09:41 +0100

squashfs-tools (1:4.0-6) unstable; urgency=low

  * Adding README.source.
  * Adding patches from Nicolas Dufresne <nicolas.dufresne@gmail.com> to
    fix some bugs in unsquashfs (Closes: #557542).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 04 Dec 2009 08:24:09 +0100

squashfs-tools (1:4.0-5) unstable; urgency=low

  * Correcting wrong vcs-browser field.
  * Adding patch from Cyril Brulebois <kibi@debian.org> to fix FTBFS on
    kfreebsd (Closes: #557174).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 21 Nov 2009 13:08:37 +0100

squashfs-tools (1:4.0-4) unstable; urgency=low

  * Renaming source package to squashfs-tools for consistency.
  * Adding debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 02 Oct 2009 19:35:57 +0200

squashfs (1:4.0-3) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Sorting depends.
  * Adding maintainer homepage in copyright.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 02 Oct 2009 19:17:18 +0200

squashfs (1:4.0-2) unstable; urgency=low

  * Updating section.
  * Using correct rfc-2822 date formats in changelog.
  * Removing hppa specific gcc build-depends as requested, no idea about
    the consequences (Closes: #533788).
  * Minimizing rules file.
  * Updating package to standards version 3.8.3.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 19 Sep 2009 15:20:31 +0200

squashfs (1:4.0-1) unstable; urgency=low

  * Merging upstream version 4.0.
  * Installing new upstream documentation into the package.
  * Updating make calls in rules file to cope with new upstream source layout.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 06 Apr 2009 12:42:00 +0200

squashfs (1:4.0~20090405-1) unstable; urgency=low

  * New upstream snapshot of squashfs-tools only, squashfs-modules are
    mainlined as of 2.6.29.
  * Redoing packaging from scratch (Closes: #485154).
  * Removing Roland from uploaders in agreement with him.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 05 Apr 2009 15:01:00 +0200

squashfs (1:3.3-7) unstable; urgency=low

  * Enabling patch for 2.6.25 now.



=== debian/control ===
Source: squashfs-tools
Section: kernel
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends:
 debhelper (>= 9), libattr1-dev, liblzma-dev, liblzo2-dev, zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://squashfs.sourceforge.net/

Package: squashfs-tools
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool to create and append to squashfs filesystems
 Squashfs is a highly compressed read-only filesystem for Linux. It uses zlib
 compression to compress both files, inodes and directories. Inodes in the
 system are very small and all blocks are packed to minimise data overhead.
 Block sizes greater than 4K are supported up to a maximum of 64K.
 .
 Squashfs is intended for general read-only filesystem use, for archival use
 (i.e. in cases where a .tar.gz file may be used), and in constrained block
 device/memory systems (e.g. embedded systems) where low overhead is needed.

Package: squashfs-tools-dbg
Section: debug
Priority: extra
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, squashfs-tools (= ${binary:Version})
Description: Tool to create and append to squashfs filesystems (debug)
 Squashfs is a highly compressed read-only filesystem for Linux. It uses zlib
 compression to compress both files, inodes and directories. Inodes in the
 system are very small and all blocks are packed to minimise data overhead.
 Block sizes greater than 4K are supported up to a maximum of 64K.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Workaround for older kernels not supporting Thumb2 (LP: #494667).
ifeq ($(DEB_BUILD_ARCH_CPU),arm)
	export CFLAGS += -marm
endif

%:
	dh ${@} --sourcedirectory=squashfs-tools

override_dh_auto_build:
	LZO_SUPPORT=1 XZ_SUPPORT=1 dh_auto_build

override_dh_auto_install:
	dh_auto_install -- INSTALL_DIR=$(CURDIR)/debian/squashfs-tools/usr/bin

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_strip:
	dh_strip --dbg-package=squashfs-tools-dbg

## squashfs-tools 4.2+20121212

=== Makefile ===
###############################################
#          Compression build options          #
###############################################
#
#
############# Building gzip support ###########
#
# Gzip support is by default enabled, and the compression type default
# (COMP_DEFAULT) is gzip.
#
# If you don't want/need gzip support then comment out the GZIP SUPPORT line
# below, and change COMP_DEFAULT to one of the compression types you have
# selected.
#
# Obviously, you must select at least one of the available gzip, lzma, lzo
# compression types.
#
GZIP_SUPPORT = 1

########### Building XZ support #############
#
# LZMA2 compression.
#
# XZ Utils liblzma (http://tukaani.org/xz/) is supported
#
# To build using XZ Utils liblzma - install the library and uncomment
# the XZ_SUPPORT line below.
#
#XZ_SUPPORT = 1


############ Building LZO support ##############
#
# The LZO library (http://www.oberhumer.com/opensource/lzo/) is supported.
#
# To build using the LZO library - install the library and uncomment the
# LZO_SUPPORT line below. If needed, uncomment and set LZO_DIR to the
# installation prefix.
#
#LZO_SUPPORT = 1
#LZO_DIR = /usr/local

########### Building LZMA support #############
#
# LZMA1 compression.
#
# LZMA1 compression is deprecated, and the newer and better XZ (LZMA2)
# compression should be used in preference.
#
# Both XZ Utils liblzma (http://tukaani.org/xz/) and LZMA SDK
# (http://www.7-zip.org/sdk.html) are supported
#
# To build using XZ Utils liblzma - install the library and uncomment
# the LZMA_XZ_SUPPORT line below.
#
# To build using the LZMA SDK (4.65 used in development, other versions may
# work) - download and unpack it, uncomment and set LZMA_DIR to unpacked source,
# and uncomment the LZMA_SUPPORT line below.
#
#LZMA_XZ_SUPPORT = 1
#LZMA_SUPPORT = 1
#LZMA_DIR = ../../../../LZMA/lzma465

######## Specifying default compression ########
#
# The next line specifies which compression algorithm is used by default
# in Mksquashfs.  Obviously the compression algorithm must have been
# selected to be built
#
COMP_DEFAULT = gzip

###############################################
#  Extended attribute (XATTRs) build options  #
###############################################
#
# Building XATTR support for Mksquashfs and Unsquashfs
#
# If your C library or build/target environment doesn't support XATTRs then
# comment out the next line to build Mksquashfs and Unsquashfs without XATTR
# support
XATTR_SUPPORT = 1

# Select whether you wish xattrs to be stored by Mksquashfs and extracted
# by Unsquashfs by default.  If selected users can disable xattr support by
# using the -no-xattrs option
#
# If unselected, Mksquashfs/Unsquashfs won't store and extract xattrs by
# default.  Users can enable xattrs by using the -xattrs option.
XATTR_DEFAULT = 1


###############################################
#        End of BUILD options section         #
###############################################

INCLUDEDIR = -I.
INSTALL_DIR = /usr/local/bin

MKSQUASHFS_OBJS = mksquashfs.o read_fs.o sort.o swap.o pseudo.o compressor.o \
	action.o progressbar.o

UNSQUASHFS_OBJS = unsquashfs.o unsquash-1.o unsquash-2.o unsquash-3.o \
	unsquash-4.o swap.o compressor.o

CFLAGS ?= -O2
CFLAGS += $(EXTRA_CFLAGS) $(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 \
	-D_LARGEFILE_SOURCE -D_GNU_SOURCE -DCOMP_DEFAULT=\"$(COMP_DEFAULT)\" \
	-Wall

LIBS = -lpthread -lm
ifeq ($(GZIP_SUPPORT),1)
CFLAGS += -DGZIP_SUPPORT
MKSQUASHFS_OBJS += gzip_wrapper.o
UNSQUASHFS_OBJS += gzip_wrapper.o
LIBS += -lz
COMPRESSORS += gzip
endif

ifeq ($(LZMA_SUPPORT),1)
LZMA_OBJS = $(LZMA_DIR)/C/Alloc.o $(LZMA_DIR)/C/LzFind.o \
	$(LZMA_DIR)/C/LzmaDec.o $(LZMA_DIR)/C/LzmaEnc.o $(LZMA_DIR)/C/LzmaLib.o
INCLUDEDIR += -I$(LZMA_DIR)/C
CFLAGS += -DLZMA_SUPPORT
MKSQUASHFS_OBJS += lzma_wrapper.o $(LZMA_OBJS)
UNSQUASHFS_OBJS += lzma_wrapper.o $(LZMA_OBJS)
COMPRESSORS += lzma
endif

ifeq ($(LZMA_XZ_SUPPORT),1)
CFLAGS += -DLZMA_SUPPORT
MKSQUASHFS_OBJS += lzma_xz_wrapper.o
UNSQUASHFS_OBJS += lzma_xz_wrapper.o
LIBS += -llzma
COMPRESSORS += lzma
endif

ifeq ($(XZ_SUPPORT),1)
CFLAGS += -DXZ_SUPPORT
MKSQUASHFS_OBJS += xz_wrapper.o
UNSQUASHFS_OBJS += xz_wrapper.o
LIBS += -llzma
COMPRESSORS += xz
endif

ifeq ($(LZO_SUPPORT),1)
CFLAGS += -DLZO_SUPPORT
ifdef LZO_DIR
INCLUDEDIR += -I$(LZO_DIR)/include
LZO_LIBDIR = -L$(LZO_DIR)/lib
endif
MKSQUASHFS_OBJS += lzo_wrapper.o
UNSQUASHFS_OBJS += lzo_wrapper.o
LIBS += $(LZO_LIBDIR) -llzo2
COMPRESSORS += lzo
endif

ifeq ($(XATTR_SUPPORT),1)
ifeq ($(XATTR_DEFAULT),1)
CFLAGS += -DXATTR_SUPPORT -DXATTR_DEFAULT
else
CFLAGS += -DXATTR_SUPPORT
endif
MKSQUASHFS_OBJS += xattr.o read_xattrs.o
UNSQUASHFS_OBJS += read_xattrs.o unsquashfs_xattr.o
endif

#
# If LZMA_SUPPORT is specified then LZMA_DIR must be specified too
#
ifeq ($(LZMA_SUPPORT),1)
ifndef LZMA_DIR
$(error "LZMA_SUPPORT requires LZMA_DIR to be also defined")
endif
endif

#
# Both LZMA_XZ_SUPPORT and LZMA_SUPPORT cannot be specified
#
ifeq ($(LZMA_XZ_SUPPORT),1)
ifeq ($(LZMA_SUPPORT),1)
$(error "Both LZMA_XZ_SUPPORT and LZMA_SUPPORT cannot be specified")
endif
endif

#
# At least one compressor must have been selected
#
ifndef COMPRESSORS
$(error "No compressor selected! Select one or more of GZIP, LZMA, XZ or LZO!")
endif

#
# COMP_DEFAULT must be a selected compressor
#
ifeq (, $(findstring $(COMP_DEFAULT), $(COMPRESSORS)))
$(error "COMP_DEFAULT isn't selected to be built!")
endif

.PHONY: all
all: mksquashfs unsquashfs

mksquashfs: $(MKSQUASHFS_OBJS)
	$(CC) $(LDFLAGS) $(EXTRA_LDFLAGS) $(MKSQUASHFS_OBJS) $(LIBS) -o $@

mksquashfs.o: mksquashfs.c squashfs_fs.h mksquashfs.h sort.h squashfs_swap.h \
	xattr.h pseudo.h compressor.h action.h progressbar.h

read_fs.o: read_fs.c squashfs_fs.h read_fs.h squashfs_swap.h compressor.h \
	xattr.h

sort.o: sort.c squashfs_fs.h sort.h mksquashfs.h

swap.o: swap.c

pseudo.o: pseudo.c pseudo.h

compressor.o: compressor.c compressor.h squashfs_fs.h

xattr.o: xattr.c xattr.h squashfs_fs.h squashfs_swap.h mksquashfs.h

read_xattrs.o: read_xattrs.c xattr.h squashfs_fs.h squashfs_swap.h read_fs.h

action.o: action.h squashfs_fs.h mksquashfs.h

progressbar.o: progressbar.c

gzip_wrapper.o: gzip_wrapper.c compressor.h squashfs_fs.h

lzma_wrapper.o: lzma_wrapper.c compressor.h squashfs_fs.h

lzma_xz_wrapper.o: lzma_xz_wrapper.c compressor.h squashfs_fs.h

lzo_wrapper.o: lzo_wrapper.c compressor.h squashfs_fs.h

xz_wrapper.o: xz_wrapper.c compressor.h squashfs_fs.h

unsquashfs: $(UNSQUASHFS_OBJS)
	$(CC) $(LDFLAGS) $(EXTRA_LDFLAGS) $(UNSQUASHFS_OBJS) $(LIBS) -o $@

unsquashfs.o: unsquashfs.h unsquashfs.c squashfs_fs.h squashfs_swap.h \
	squashfs_compat.h xattr.h read_fs.h compressor.h

unsquash-1.o: unsquashfs.h unsquash-1.c squashfs_fs.h squashfs_compat.h

unsquash-2.o: unsquashfs.h unsquash-2.c squashfs_fs.h squashfs_compat.h

unsquash-3.o: unsquashfs.h unsquash-3.c squashfs_fs.h squashfs_compat.h

unsquash-4.o: unsquashfs.h unsquash-4.c squashfs_fs.h squashfs_swap.h \
	read_fs.h

unsquashfs_xattr.o: unsquashfs_xattr.c unsquashfs.h squashfs_fs.h xattr.h


.PHONY: clean
clean:
	-rm -f *.o mksquashfs unsquashfs

.PHONY: install
install: mksquashfs unsquashfs
	mkdir -p $(INSTALL_DIR)
	cp mksquashfs $(INSTALL_DIR)
	cp unsquashfs $(INSTALL_DIR)

=== debian/changelog ===
squashfs-tools (1:4.2+20121212-1) unstable; urgency=low

  * Merging upstream version 4.2+20121212.
  * Updating year in copyright file.
  * Rediffing kfreebsd.patch.
  * Removing pseudo.patch, included upstream.
  * Removing debhelper docs and example files, not applicable anymore.
  * Updating to standards version 3.9.4.
  * Adding dpkg-source local options.
  * Updating rules for new upstream sources.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 16 Dec 2012 10:21:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Otavio Salvador <otavio@debian.org>
 Build-Depends:
  debhelper (>= 9), libattr1-dev, liblzma-dev, liblzo2-dev, zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://squashfs.sourceforge.net/
 
 Package: squashfs-tools

## squashfs-tools 4.2+20130409

=== Makefile ===
--- 
+++ 
@@ -97,7 +97,8 @@
 INSTALL_DIR = /usr/local/bin
 
 MKSQUASHFS_OBJS = mksquashfs.o read_fs.o sort.o swap.o pseudo.o compressor.o \
-	action.o progressbar.o
+	action.o progressbar.o read_file.o info.o restore.o \
+	caches-queues-lists.o
 
 UNSQUASHFS_OBJS = unsquashfs.o unsquash-1.o unsquash-2.o unsquash-3.o \
 	unsquash-4.o swap.o compressor.o
@@ -224,6 +225,14 @@
 
 progressbar.o: progressbar.c
 
+read_file.o: read_file.c
+
+info.o: info.c
+
+restore.o: restore.c
+
+caches-queues-lists.o: caches-queues-lists.c
+
 gzip_wrapper.o: gzip_wrapper.c compressor.h squashfs_fs.h
 
 lzma_wrapper.o: lzma_wrapper.c compressor.h squashfs_fs.h

=== debian/changelog ===
squashfs-tools (1:4.2+20130409-2) unstable; urgency=low

  * New maintainer (closes: #723600).
  * Minor packaging changes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Sep 2013 07:50:12 +0000

squashfs-tools (1:4.2+20130409-1) unstable; urgency=low

  * Merging upstream version 4.2+20130409.

 -- Luk Claes <luk@debian.org>  Thu, 09 May 2013 22:20:42 +0200

squashfs-tools (1:4.2+20130306-2) experimental; urgency=low

  * Taking over with maintainer's consent.

 -- Luk Claes <luk@debian.org>  Sat, 20 Apr 2013 18:28:26 +0200

squashfs-tools (1:4.2+20130306-1) experimental; urgency=low

  * Updating upstream mail address in copyright file.
  * Merging upstream version 4.2+20130306.
  * Updating year in copyright file.
  * Updating email addresses in local manpages.
  * Dropping dpkg-source compression levels.
  * Prefixing patches with four digits.
  * Trimming diff headers in patches.
  * Refreshing kfreebsd.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 13 Mar 2013 18:38:01 +0100

squashfs-tools (1:4.2+20121212-3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 21:46:02 +0100

squashfs-tools (1:4.2+20121212-2) unstable; urgency=low

  * Removing Otavio from uploaders with his consent.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 21:45:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: squashfs-tools
 Section: kernel
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Uploaders: Otavio Salvador <otavio@debian.org>
+Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper (>= 9), libattr1-dev, liblzma-dev, liblzo2-dev, zlib1g-dev
 Standards-Version: 3.9.4

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Workaround for older kernels not supporting Thumb2 (LP: #494667).
ifeq ($(DEB_BUILD_ARCH_CPU),arm)
	export CFLAGS += -marm
endif

%:
	dh ${@}

override_dh_auto_build:
	LZO_SUPPORT=1 XZ_SUPPORT=1 dh_auto_build

override_dh_auto_install:
	dh_auto_install -- INSTALL_DIR=$(CURDIR)/debian/squashfs-tools/usr/bin

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
	dh_strip --dbg-package=squashfs-tools-dbg

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_builddeb

## squashfs-tools 4.3

=== debian/changelog ===
squashfs-tools (1:4.3-7) unstable; urgency=medium

  * Fix FTBFS with glibc 2.28 (closes: #916014).
  * Don't use custom compression settings for packaging.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 14 Dec 2018 18:01:49 +0000

squashfs-tools (1:4.3-6) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Michael Vogt <michael.vogt@ubuntu.com> ]
  * debian/patches/0005-add-fstime.patch: initializing the time_t variable
    with (time_t)0 instead of (time_t)-1 to avoid creating all filesystems
    on "Wed Dec 31 23:59:59 1969"

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Mar 2018 07:12:57 +0000

squashfs-tools (1:4.3-5) unstable; urgency=medium

  * Patch unsquashfs to preserve file capabilities (closes: #804194).
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.3:
    - remove squashfs-tools-dbg package and use the auto-generated one.
  * Sync with Ubuntu.

  [ Tyler Hicks <tyhicks@canonical.com> ]
  * debian/patches/0005-add-fstime.patch: Fix -Wint-conversion warning by
    initializing the time_t variable with (time_t)-1 instead of NULL
  * debian/patches/0009-unsquashfs-preserve-symlink-times.patch: Preserve
    atime and mtime of symlink inodes in unsquashfs rather than using the
    current time (LP: #1555305)

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Mar 2018 19:36:55 +0000

squashfs-tools (1:4.3-4) unstable; urgency=medium

  * Backport patch to fix rare race in fragment waiting in filesystem
    finalisation.
  * Backport fix for 2GB-limit of the is_fragment(...) function
    (closes: #788185).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 07 Jun 2017 17:47:58 +0000

squashfs-tools (1:4.3-3) unstable; urgency=low

  * Use patch from upstream BTS to support LZMA magics (closes: #802446).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Oct 2015 10:56:08 +0000

squashfs-tools (1:4.3-2) unstable; urgency=high

  * Fix security issues:
    - CVE-2015-4645 - stack overflow in read_fragment_table_4
      (closes: #793467),
    - CVE-2015-4646 - stack overflow in read_fragment_table_4 due to fix for
      CVE-2015-4645 (closes: #793468).
  * Fix phys mem calculation for 32-bit processes on PAE/64-bit kernels
    (closes: #798268).
  * Build with XZ Utils liblzma (closes: #754234, #749878).
  * Update 0001-kfreebsd.patch to fix kFreeBSD FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 07 Sep 2015 18:03:49 +0200

squashfs-tools (1:4.3-1) unstable; urgency=low

  * New upstream release.
  * Build with LZ4 support.
  * Put myself as the primary maintainer.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Sep 2015 19:08:42 +0200

squashfs-tools (1:4.2+20130409-2.1) unstable; urgency=medium

  * NMU.
  * Apply changes from -2ubuntu1:

    [ Matthias Klose ]
    * Build using dpkg-buildflags.
    * Remove the ARM workaround.
    * Build with -fgnu89-inline.

    Closes: #780206

 -- gregor herrmann <gregoa@debian.org>  Mon, 03 Aug 2015 17:30:11 +0200

=== debian/control ===
Source: squashfs-tools
Section: kernel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Uploaders: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 11), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev
Standards-Version: 4.2.1
Homepage: http://squashfs.sourceforge.net/

Package: squashfs-tools
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool to create and append to squashfs filesystems
 Squashfs is a highly compressed read-only filesystem for Linux. It uses zlib
 compression to compress both files, inodes and directories. Inodes in the
 system are very small and all blocks are packed to minimise data overhead.
 Block sizes greater than 4K are supported up to a maximum of 64K.
 .
 Squashfs is intended for general read-only filesystem use, for archival use
 (i.e. in cases where a .tar.gz file may be used), and in constrained block
 device/memory systems (e.g. embedded systems) where low overhead is needed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND = -fgnu89-inline

override_dh_auto_configure:
	dh_auto_configure -- $(shell dpkg-buildflags --export=cmdline)

override_dh_auto_build:
	LZMA_XZ_SUPPORT=1 LZ4_SUPPORT=1 LZO_SUPPORT=1 XZ_SUPPORT=1 dh_auto_build

override_dh_auto_install:
	dh_auto_install -- INSTALL_DIR=$(CURDIR)/debian/squashfs-tools/usr/bin

%:
	dh ${@} --sourcedirectory=squashfs-tools/

.PHONY: override_dh_auto_build override_dh_auto_install

## squashfs-tools 4.3.1

=== debian/changelog ===
squashfs-tools (11:4.3.1-1) unstable; urgency=medium

  * update

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Sep 2021 10:09:37 +0800

squashfs-tools (1:4.3-12+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-40153
    unsquashfs unvalidated filepaths allow writing outside of destination.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Aug 2021 19:03:02 +0200

squashfs-tools (1:4.3-12) unstable; urgency=medium

  [ Alexander Couzens <lynxis@fe80.eu> ]
  * Fix compressor initialization in frag_deflator() (closes: #923711).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Mar 2019 18:04:21 +0000

squashfs-tools (1:4.3-11) unstable; urgency=medium

  [ Chris Lamb <lamby@debian.org> ]
  * Fix issue with lack of compressor initialisation affecting (at least) LZO
    compression (closes: #919207).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 18 Jan 2019 20:45:11 +0000

squashfs-tools (1:4.3-10) unstable; urgency=medium

  * Backport upstream Zstandard support (closes: #916400).

  [ Alexander Couzens <lynxis@fe80.eu> ]
  * Remove frag_deflator_thread (closes: #919207).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 15 Jan 2019 18:12:19 +0000

squashfs-tools (1:4.3-9) unstable; urgency=medium

  * Fix unsquashfs manpage typo (closes: #850416).
  * Sync with Ubuntu.

  [ Tyler Hicks <tyhicks@canonical.com> ]
  * debian/patches/0013-use-macros-not-raw-octal-with-chmod.patch,
    debian/patches/0014-also-set-stickybit-as-non-root.patch: apply stickybit
    when run as non-root.

  [ akira <marivalenm@gmail.com> ]
  * Adding lns option to unsquashfs (closes: #794096).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Jan 2019 07:31:09 +0000

squashfs-tools (1:4.3-8) unstable; urgency=medium

  * Update Standards-Version to 4.3.0 .

  [ Chris Lamb <lamby@debian.org> ]
  * If SOURCE_DATE_EPOCH is set, use that timestamp for the mkfs time.
  * If SOURCE_DATE_EPOCH is set, also clamp content timestamps with that
    value.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Jan 2019 22:23:08 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: kernel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Uploaders: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 11), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev
-Standards-Version: 4.2.1
+ debhelper (>= 11), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev, libzstd-dev
+Standards-Version: 4.3.0
 Homepage: http://squashfs.sourceforge.net/
 
 Package: squashfs-tools

## squashfs-tools 4.4

=== kernel/kernel-2.6/fs/squashfs/Makefile ===
#
# Makefile for the linux squashfs routines.
#

obj-$(CONFIG_SQUASHFS) += squashfs.o
squashfs-y += block.o cache.o dir.o export.o file.o fragment.o id.o inode.o
squashfs-y += namei.o super.o symlink.o
#squashfs-y += squashfs2_0.o

=== debian/changelog ===
squashfs-tools (1:4.4-1) unstable; urgency=medium

  * New upstream release.
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Aug 2019 16:13:13 +0000

squashfs-tools (1:4.3+git190823-1) unstable; urgency=medium

  * Git snapshot release.
  * Remove remaining upstream reworked patches.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Aug 2019 12:45:51 +0000

squashfs-tools (1:4.3+git190815-1) unstable; urgency=medium

  * Git snapshot release:
    - properly fix CVE-2015-4645 and CVE-2015-4646 vulnerabilities,
    - support reproducible images with all CPU cores (closes: #921146).
  * Remove old patches that were implemented meanwhile by upstream.
  * Update remaining patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 16 Aug 2019 18:19:01 +0000

squashfs-tools (1:4.3-13) unstable; urgency=medium

  * Fix bus error on sparc64 (closes: #932787).
  * Update homepage location (closes: #921684).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 25 Jul 2019 13:18:14 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper (>= 11), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev, libzstd-dev
-Standards-Version: 4.3.0
-Homepage: http://squashfs.sourceforge.net/
+Standards-Version: 4.4.0
+Homepage: https://github.com/plougher/squashfs-tools
 
 Package: squashfs-tools
 Architecture: linux-any kfreebsd-any

=== debian/watch ===
version=4
opts=uversionmangle=s/-?(beta)-?/~$1/;s/-?(alpha)-?/~$1/;s/-?(rc)-?/~rc/ \
	https://github.com/plougher/squashfs-tools/releases .*/(?:|v|version-|version|release-|r)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip)

## squashfs-tools 4.5

=== debian/changelog ===
squashfs-tools (1:4.5-deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Aug 2022 21:28:44 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: squashfs-tools
 Section: kernel
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
 Build-Depends:
- debhelper (>= 11), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev, libzstd-dev
-Standards-Version: 4.4.0
+ debhelper-compat (= 13), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev, libzstd-dev
+Standards-Version: 4.5.1
 Homepage: https://github.com/plougher/squashfs-tools
 
 Package: squashfs-tools

## squashfs-tools 4.5.1

=== debian/changelog ===
squashfs-tools (1:4.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Mar 2022 18:50:03 +0200

squashfs-tools (1:4.5-3) unstable; urgency=high

  * Backport patch to fixes:
    - use squashfs_closedir() to delete directory,
    - dynamically allocate unsquashfs name,
    - use linked list to store directory names.
  * Fix CVE-2021-41072: additional unsquashfs write outside destination
    directory exploit fix (closes: #994262).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Sep 2021 13:42:40 +0200

squashfs-tools (1:4.5-2) unstable; urgency=high

  * Upload to unstable.
  * Fixes CVE-2021-40153: unsquashfs unvalidated filepaths allow writing
    outside of destination.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Aug 2021 07:51:10 +0200

squashfs-tools (1:4.5-1) experimental; urgency=medium

  * New upstream release (closes: #991473):
    - fix xattr-related non-determinism (closes: #946378).
  * Update 0001-kfreebsd.patch .
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Jul 2021 09:53:24 +0200

squashfs-tools (1:4.4-2) unstable; urgency=medium

  * Backport upstream fix for GCC 10 FTBFS (closes: #957842).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Apr 2020 17:37:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: squashfs-tools
 Section: kernel
 Priority: optional
-Maintainer: Deepin Developer <deepin-dev@deepin.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper-compat (= 13), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev, libzstd-dev
+ debhelper-compat (= 13), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev, libzstd-dev, help2man
 Standards-Version: 4.5.1
 Homepage: https://github.com/plougher/squashfs-tools

## squashfs-tools 4.6.1

=== debian/changelog ===
squashfs-tools (1:4.6.1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:20:03 +0200

squashfs-tools (1:4.6.1-1) unstable; urgency=medium

  * New upstream release:
    - implements --one-filesytem for mksquashfs (closes: #586757).
  * Update watch file.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 Jun 2023 08:56:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: squashfs-tools
 Section: kernel
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper-compat (= 13), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev, libzstd-dev, help2man
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/plougher/squashfs-tools
 
 Package: squashfs-tools

## squashfs-tools 4.7

=== debian/changelog ===
squashfs-tools (1:4.7-0deepin1) stable; urgency=medium

  * New upstream release

 -- April Lu <apr3vau@outlook.com>  Wed, 25 Jun 2025 18:35:00 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: squashfs-tools
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
 Build-Depends:
  debhelper-compat (= 13), libattr1-dev, liblzma-dev, liblzo2-dev, liblz4-dev, zlib1g-dev, libzstd-dev, help2man
 Standards-Version: 4.6.2
